package com.sonic.pigeon.lib.input;

import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author zzhan
 * @Date 2020/10/15 20:28
 * @Version 1.0
 */
public class SendMessageInput {

    @ApiModelProperty(value = "发送人ID")
    private Long sendUserId;

    @ApiModelProperty(value = "用户ID（接收人）")
    private Long userId;

    @ApiModelProperty(value = "消息类型（对应 StationMessageTypeEnum 枚举 中的index字段值）")
    private Integer type;

    @ApiModelProperty(value = "导致消息发送的业务ID")
    private String bizId;

    @ApiModelProperty(value = "消息标题")
    private String title;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "消息扩展内容")
    private String extras;

    @ApiModelProperty(value = "消息替换内容，例（'nickname','email'）")
    private List<String> titleReplaceList = new ArrayList<>();

    @ApiModelProperty(value = "消息替换内容，例（'nickname','email'）")
    private List<String> contentReplaceList = new ArrayList<>();


    public SendMessageInput() {
    }

    public SendMessageInput(Long sendUserId, Long userId, Integer type, String title, String content) {
        this.sendUserId = sendUserId;
        this.userId = userId;
        this.type = type;
        this.title = title;
        this.content = content;
    }

    public SendMessageInput(Long sendUserId, Long userId, Integer type, String bizId, String title, String content) {
        this.sendUserId = sendUserId;
        this.userId = userId;
        this.type = type;
        this.bizId = bizId;
        this.title = title;
        this.content = content;
    }

    public List<String> getTitleReplaceList() {
        return titleReplaceList;
    }

    public void setTitleReplaceList(List<String> titleReplaceList) {
        this.titleReplaceList = titleReplaceList;
    }

    public List<String> getContentReplaceList() {
        return contentReplaceList;
    }

    public void setContentReplaceList(List<String> contentReplaceList) {
        this.contentReplaceList = contentReplaceList;
    }

    public Long getSendUserId() {
        return sendUserId;
    }

    public void setSendUserId(Long sendUserId) {
        this.sendUserId = sendUserId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getExtras() {
        return extras;
    }

    public void setExtras(String extras) {
        this.extras = extras;
    }


}
